@font-face{
    font-family:'Pantasia';
    src:url(../fonts/PantasiaUnlicensedTrial-Regular.otf);
}
@font-face{
    font-family:'Odd';
    src:url(../fonts/ODD-Regular.otf);
}

:root {
    --theme-color: #FF00FF; /* Default theme color */
    --secondary-color: #D2D2D2; /* Default theme color */
}

*{
    box-sizing:border-box;
    margin:0;
}
html {
    scroll-behavior: smooth;
    scroll-snap-type: y mandatory;
}
body{
    font-size:10pt;
    font-family:'Pantasia';
    background-color: white;
    text-transform: uppercase;
}


img{
    width:100%
}
a{
    transition:ease-in-out 150ms
}

summary::marker {
    list-style: none;
}

summary::-webkit-details-marker {
    display: none;
}

summary {
    text-wrap: nowrap;
}

summary::before {
    content: "‣ ";
    display: inline-block;
    width: 1rem;
    /* background-size: 11pt;
    background-image: url(../imgs/information-info-svgrepo-com.svg);
    background-repeat: no-repeat; */
    text-wrap: nowrap;
}

html {
    background-color: white;
}
h1 {
    font-weight: normal;
    font-family: "Odd";
    font-size: 3.5rem;
    color: var(--theme-color);
}
p {
    
}
.copytext {
    font-size: 10pt;
    font-family: "Pantasia";
    color: var(--theme-color);
}
.floatingheader {
    position: fixed;
    top: 0;
    left: 1rem;
    z-index: 1;
}
.image-btn-list {
    position: relative;
    top: calc(3.5rem + 10pt + 2rem);
    left: 1rem;
    color: var(--theme-color);
    font-family: "Pantasia";
    /* padding: 1rem; */
    max-width: 80%;
    z-index: 1;
}
input:checked {
    border: 6px solid var(--theme-color);
}
input {
    appearance: none;
  
    border-radius: 50%;
    width: 16px;
    height: 16px;
  
    border: 2px solid var(--theme-color);
    transition: 0.2s all linear;
  
    position: relative;
    top: 4px;
    box-shadow: 1px 1px 0px white;
}
label {
    white-space: nowrap;
    text-wrap: nowrap;
    color: var(--theme-color);
    text-shadow: 1px 1px 0px white;
}
label:hover {
    
}
.image-display-area {
    box-shadow: 20px 20px 30px rgba(0, 0, 0, 0.35);
    width: 408px;      /* Adjust as necessary for poster canvas size */
    height: 563px;    /* Example height, adjust as necessary */
    border: none;
    display: block; /* Allow multiple images to be displayed */
    position: absolute;
    top: 50%;
    left: 50%;
    translate: -50% -50%;
    gap: 10px;
    z-index: 0;
    background: linear-gradient(var(--theme-color), var(--secondary-color), var(--theme-color), var(--secondary-color));
}

.image-display-area img {
    width: 100%;      /* Adjust as necessary for poster canvas size */
    height: 100%;
    position: absolute;
    object-fit: fill;  /* Keep aspect ratio */
    mix-blend-mode: difference;
}
.images-container {
    width: 100%;
    height: 100%;
    /* -webkit-mask-image: url(../imgs/poster-mask-01.png);
    mask-image: url(../imgs/poster-mask-01.png); */
    mask-repeat: no-repeat;
    /* mask-size: 100% 100%;
    -webkit-mask-size: 100% 100%; */
    mix-blend-mode: multiply;
}
.overlay-images-container {
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
    z-index: 2; /* Ensure it overlays the base images */
}
.selected-files-container {
    position: inherit;
    bottom: 0;
    z-index: 3;
    text-indent: 15%;
}
.selected-files {
    color: var(--secondary-color);
    text-align: left;
    width: fit-content;
}
mark {
    background-color: var(--theme-color);
}

.mask-selection {
    position: fixed;
    color: var(--theme-color);
    bottom: 1rem;
    left: 1rem;
}

.type-overlay-container {
    position: absolute;
    width: 100%;
    height: 100%;
    top: 0;
    z-index: 2;
    background-color: var(--secondary-color);
    -webkit-mask: url(../imgs/poster-overlay-svg_1-1.svg) no-repeat center;
    mask: url(../imgs/poster-overlay-svg_1-1.svg) no-repeat center;
    mask-size: 100% 100%;
}
.overlay-images-container {
    position: absolute;
    width: 100%;
    height: 100%;
    z-index: 2;
    background-color: var(--secondary-color); /* Default overlay color */
    -webkit-mask: url(../imgs/poster-overlay-svg_1-1.svg) no-repeat center;
    mask: url(../imgs/poster-overlay-svg_1-1.svg) no-repeat center;
    mask-size: 100% 100%;
}
.overlay-selection {
    position: fixed;
    z-index: 3;
    top: calc(3.5rem + 10pt + 2rem);
    right: 1rem;
    text-align: right;
    color: var(--theme-color);
}
.type-overlay-container img {
    position: initial;
    mix-blend-mode: normal;
    z-index: 2;
}
.color-selection {
    position: fixed;
    right: 1rem;
    bottom: 1rem;
}
input[type="color"] {
    background-color: transparent;
    cursor: pointer;
    border-radius: 50%;
    border: none;
    width: 20px;
    height: 25px;
}
.secondary-color-label {
    color: var(--secondary-color);
}
path.st0 {
    fill: var(--secondary-color);
}
.sociallink {
    position: fixed;
    top: 1rem;
    right: 1rem;
    text-decoration: underline;
    color: var(--theme-color);
}
